CREATE TABLE egi_confirmation_gtin_errors (
    ERROR_ID                     NUMBER(18, 0) ,
    GTIN_ID                      NUMBER(18, 0)     NOT NULL,
    ERROR_CODE                   VARCHAR2(120)     NOT NULL,
    CORRECTIVE_ACTION_CODE       VARCHAR2(120)     NOT NULL,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    ERROR_DETAILS                VARCHAR2(4000)    NOT NULL,
    ADDITIONAL_ERROR_DETAIL      VARCHAR2(4000),
    CORRECTIVE_ACTION_DETAILS    VARCHAR2(4000)    NOT NULL,
    INVENTORY_ITEM_ID            NUMBER(18, 0) ,
    ORGANIZATION_ID              NUMBER(18, 0) ,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    ERROR_ID                     NUMBER(18, 0) ,
    GTIN_ID                      NUMBER(18, 0)     NOT NULL,
    ERROR_CODE                   VARCHAR2(120)     NOT NULL,
    CORRECTIVE_ACTION_CODE       VARCHAR2(120)     NOT NULL,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    ERROR_DETAILS                VARCHAR2(4000)    NOT NULL,
    ADDITIONAL_ERROR_DETAIL      VARCHAR2(4000),
    CORRECTIVE_ACTION_DETAILS    VARCHAR2(4000)    NOT NULL,
    INVENTORY_ITEM_ID            NUMBER(18, 0) ,
    ORGANIZATION_ID              NUMBER(18, 0) ,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    CONSTRAINT pk_egi_confirmation_gtin_errors PRIMARY KEY (ERROR_ID, ERROR_ID)
);
